# Interface ILineType

Represents a DXF line type definition.

interface ILineType {
description: string;
name: string;
pattern: string[];
patternLength: number;
}

#####
Index

### Properties

description
name
pattern
patternLength

##
Properties

### description

description: string

Description of the line type.

### name

name: string

Name of the line type.

### pattern

pattern: string[]

Dash pattern definition.

### patternLength

patternLength: number

Total pattern length.